<div id="page">

<script type="text/javascript">

var editURL = '<?php echo Util::addParameter(Horde::applicationUrl('perms.php', true), 'share', '', false) ?>';
var cancelSubmit = false;
var fields = [];
<?php foreach ($my_calendars as $id => $cal): ?>
fields['<?php echo htmlspecialchars($id) ?>'] = [
        "<?php echo rawurlencode(String::convertCharset($cal->get('name'), NLS::getCharset(), 'UTF-8')) ?>",
        "<?php echo rawurlencode(String::convertCharset($cal->get('desc'), NLS::getCharset(), 'UTF-8')) ?>"];
<?php endforeach; ?>

function newChoice()
{
    var urlObj = $('calendar_url');
    var subscriptionUrlObj = $('calendar_subscription_url');
    var share = document.shares.share.options[document.shares.share.selectedIndex].value;
    if (share == -1) {
        document.shares.edit_share.value = '';
        document.shares.reset();
        urlObj.innerHTML = '<em><?php echo addslashes(_("Select a calendar above to display the URL")) ?></em>';
        subscriptionUrlObj.innerHTML = '<em><?php echo addslashes(_("Select a calendar above to display the Remote Subscription URL")) ?></em>';
    } else {
        document.shares.edit_share.value = share;
        document.shares.id.value = decodeURIComponent(fields[share][0]);
        document.shares.description.value = decodeURIComponent(fields[share][1]);
        urlObj.innerHTML = "<?php echo Util::addParameter(Horde::applicationUrl('month.php', true, -1), 'display_cal', '') ?>" + share;
        subscriptionUrlObj.innerHTML = "<?php echo $webdav ? (Horde::url($registry->get('webroot', 'horde'), true, -1) . '/rpc.php/kronolith/" + share + ".ics"') : Util::addParameter(Horde::applicationUrl('ics.php', true, -1), 'c', '') . '" + share' ?>;
    }
}

function checkSubmit()
{
    if (!document.shares.edit_share.value) {
        return false;
    }

    cancel = cancelSubmit;
    cancelSubmit = false;
<?php if ($browser->getBrowser() == 'msie' && $browser->getMajor() >= 4): ?>
    window.event.returnValue = !cancel;
<?php endif; ?>
    return !cancel;
}

</script>

<?php if (!$prefs->isLocked('default_share')): ?>
<form method="post" name="create" action="calendars.php" onsubmit="return document.create.id.value != '';">
<?php echo Util::formInput() ?>
<input type="hidden" name="actionID" value="save" />

<h1 class="header">
 <?php echo _("Create Calendar") ?>
</h1>
<table width="100%" cellspacing="0" class="headerbox">
 <tr>
  <td width="15%" class="nowrap rightAlign">
   <strong><?php echo Horde::label('create_id', _("Name")) ?></strong>&nbsp;
  </td>
  <td width="85%">
   <input type="text" id="create_id" name="id" size="30" maxlength="60" />
  </td>
 </tr>
 <tr>
  <td></td>
  <td>
   <input type="submit" name="save" class="button" value="<?php echo _("Create") ?>" />
  </td>
 </tr>
</table>
</form>

<br />
<?php endif; ?>

<form method="post" name="shares" action="calendars.php" onsubmit="return checkSubmit();">
<?php echo Util::formInput() ?>
<input type="hidden" name="actionID" value="save" />
<input type="hidden" name="edit_share" value="" />

<h1 class="header">
 <?php echo _("Edit Calendars") ?>
</h1>

<table width="100%" cellspacing="0" class="headerbox">
 <tr>
  <td width="15%" class="nowrap rightAlign">
   <strong><?php echo Horde::label('share', _("Calendar")) ?></strong>&nbsp;
  </td>
  <td width="85%">
   <select id="share" name="share" onchange="newChoice()">
    <option value="-1"><?php echo _("Select a calendar to edit") ?></option>
    <?php foreach ($my_calendars as $id => $cal): ?>
    <option value="<?php echo htmlspecialchars($id) ?>"><?php echo htmlspecialchars($cal->get('name')) ?></option>
    <?php endforeach; ?>
   </select>
  </td>
 </tr>
 <tr>
  <td class="nowrap rightAlign">
   <strong><?php echo Horde::label('edit_id', _("Name")) ?></strong>&nbsp;
  </td>
  <td>
   <input type="text" id="edit_id" name="id" size="30" maxlength="60" />
  </td>
 </tr>

 <?php if (empty($conf['shares']['no_sharing'])): ?>
 <tr>
  <td class="nowrap rightAlign">
   <strong><?php echo _("Permissions") ?></strong>
  </td>
  <td>
   <input type="button" name="perms" class="button" onclick="if (document.shares.edit_share.value) popup(editURL + encodeURIComponent(document.shares.edit_share.value)); else alert('<?php echo addslashes(_("You need to select a calendar first")) ?>')" value="<?php echo _("Edit") ?>" />
  </td>
 </tr>
 <?php endif; ?>

 <tr>
  <td valign="top" class="nowrap rightAlign">
   <strong><?php echo Horde::label('description', _("Description")) ?></strong>&nbsp;
  </td>
  <td>
   <textarea id="description" name="description" rows="4" cols="60"></textarea>
  </td>
 </tr>
 <tr>
  <td valign="top" class="nowrap rightAlign">
   <strong><?php echo _("URL") ?></strong>&nbsp;
  </td>
  <td>
   <span id="calendar_url"><em><?php echo _("Select a calendar above to display the URL") ?></em></span>
  </td>
 </tr>
 <tr>
  <td valign="top" class="nowrap rightAlign">
   <strong><?php echo _("Remote Subscription URL") ?></strong>&nbsp;
  </td>
  <td>
   <span id="calendar_subscription_url"><em><?php echo _("Select a calendar above to display the Remote Subscription URL") ?></em></span>
  </td>
 </tr>
 <tr>
  <td></td>
  <td>
   <input type="submit" name="save" class="button" value="<?php echo _("Save") ?>" />
   <input type="submit" name="delete" class="button" onclick="document.shares.actionID.value = 'delete'" value="<?php echo _("Delete") ?>" />
  </td>
 </tr>
</table>

</form>
<br />

<h1 class="header">
 <?php echo _("My Free/Busy URL") ?>
</h1>
<div class="headerbox">
 <div class="control">
  <?php echo _("Copy the URL below for use wherever you need your Free/Busy URL:") ?>
 </div>
 <p class="text">
  <?php echo Util::addParameter(Horde::applicationUrl('fb.php', true, -1), 'u', Auth::getAuth()) ?>
 </p>
</div>

</div>
