<?php
Horde::addScriptFile('QuickFinder.js', 'kronolith', true);

$remote_calendars = @unserialize($prefs->getValue('remote_cals'));
$current_user = Auth::getAuth();
$my_calendars = array();
$shared_calendars = array();
foreach (Kronolith::listCalendars() as $id => $cal) {
    if ($cal->get('owner') == $current_user) {
        $my_calendars[$id] = $cal;
    } else {
        $shared_calendars[$id] = $cal;
    }
}
?>

<div id="pageControls">
<script type="text/javascript">
function sbarToggle()
{
    var pref_value;
    if (Element.hasClassName(document.body, 'rightPanel')) {
        pref_value = 0;
        Element.removeClassName(document.body, 'rightPanel');
    } else {
        pref_value = 1;
        Element.addClassName(document.body, 'rightPanel');
    }

    new Ajax.Request('<?php echo Horde::applicationUrl('pref_api.php', true) ?>', { parameters: { app: 'kronolith', pref: 'show_panel', value: pref_value } });
}

Event.observe(window, 'load', function() {
    document.getElementsByClassName('checkbox', 'pageControlsInner').each(function(elt) {
        Event.observe(elt, 'click', (function() {
            ShowView(kronolithView, { timestamp: kronolithTimestamp, toggle_calendar: this.value }, false);
        }).bindAsEventListener(elt))
    });
});
</script>
<input type="hidden" name="timestamp" value="<?php echo Kronolith::currentTimestamp() ?>" />
<a id="sbarShow" href="#" onclick="sbarToggle(); return false;"><?php echo _("Calendars") ?></a>
<a id="sbarHide" href="#" onclick="sbarToggle(); return false;"><?php echo _("Calendars") ?></a>

<div id="pageControlsInner">
<form action="<?php echo Horde::selfUrl() ?>" method="post">
<?php echo Util::formInput() ?>
 <h4><?php echo _("Search for Calendars:") ?></h4>
 <p>
  <input id="calendarSearch" type="text" for="mycalendars,sharedcalendars,remotecalendars,externalcalendars" />
 </p>

<?php if ($current_user): ?>
 <h4><?php echo _("My Calendars:") ?></h4>
 <ul id="mycalendars">
<?php foreach ($my_calendars as $id => $cal): ?>
  <li><label><input type="checkbox" class="checkbox" name="display_cal[]" value="<?php echo htmlspecialchars($id) ?>"<?php echo (in_array($id, $display_calendars) ? ' checked="checked"' : '') . ' /> ' . htmlspecialchars($cal->get('name')) ?></label></li>
<?php endforeach; ?>
  <li><small><a href="<?php echo Horde::applicationUrl('calendars.php') ?>"><?php echo _("[Manage My Calendars]") ?></a></small></li>
 </ul>
<?php endif; ?>

<?php if (count($shared_calendars)): ?>
 <h4><?php echo _("Shared Calendars:") ?></h4>
 <ul id="sharedcalendars">
<?php foreach ($shared_calendars as $id => $cal): ?>
  <li><label><input type="checkbox" class="checkbox" name="display_cal[]" value="<?php echo htmlspecialchars($id) ?>"<?php echo (in_array($id, $display_calendars) ? ' checked="checked"' : '') . ' /> [' . htmlspecialchars($cal->get('owner')) . '] ' . htmlspecialchars($cal->get('name')) ?></label></li>
<?php endforeach; ?>
 </ul>
<?php endif; ?>

<?php if (count($GLOBALS['all_external_calendars'])): ?>
 <h4><?php echo _("External Events:") ?></h4>
 <ul id="externalcalendars">
<?php foreach ($GLOBALS['all_external_calendars'] as $api => $categories): ?>
 <?php if (count($categories)): ?>
  <li class="category"><?php echo htmlspecialchars($GLOBALS['registry']->get('name', $GLOBALS['registry']->hasInterface($api))) ?></li>
  <?php foreach ($categories as $id => $name): ?>
   <li><label><input type="checkbox" class="checkbox" name="display_cal[]" value="external_<?php echo htmlspecialchars($api . '/' . $id) ?>"<?php echo (in_array($api . '/' . $id, $GLOBALS['display_external_calendars']) ? ' checked="checked"' : '') . ' /> ' . htmlspecialchars($name) ?></label></li>
  <?php endforeach; ?>
 <?php endif; ?>
<?php endforeach; ?>
 </ul>
<?php endif; ?>

 <h4><?php echo _("Remote Calendars:") ?></h4>
 <ul id="remotecalendars">
<?php foreach ($remote_calendars as $id => $cal): ?>
  <li><label><input type="checkbox" class="checkbox" name="display_cal[]" value="remote_<?php echo htmlspecialchars($cal['url']) ?>"<?php echo (in_array($cal['url'], $display_remote_calendars) ? ' checked="checked"' : '') . ' /> ' . htmlspecialchars($cal['name']) ?></label></li>
<?php endforeach; ?>
  <li><small><a href="<?php echo Util::addParameter(Horde::url($registry->get('webroot', 'horde') . '/services/prefs.php'), array('app' => 'kronolith', 'group' => 'remote')) ?>"><?php echo _("[Manage Remote Calendars]") ?></a></small></li>
 </ul>

<noscript>
 <p>
  <input type="submit" value="<?php echo _("Save") ?>" class="button" />
 </p>
</noscript>
</form>

</div>
</div>
